Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.matrix.cls
Class ClassMatrixTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.matrix.MatrixTableModel
              edu.stanford.smi.protegex.owl.ui.matrix.cls.ClassMatrixTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, TableModel

    public class ClassMatrixTableModel

extends MatrixTableModel

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.matrix.MatrixTableModel
`COL_NAME, COL_PREFIX`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ClassMatrixTableModel(OWLModel owlModel, MatrixFilter filter)`

Method Summary
`protected void` | `addDefaultColumns()`
`RDFSNamedClass` | `getCls(int row)`
`int` | `getNewColumnIndex(MatrixColumn col)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.matrix.MatrixTableModel
`addColumn, dispose, getColumnClass, getColumnCount, getColumnName, getInstance, getMatrixColumn, getRowCount, getValueAt, getVisibleAnnotationProperties, isCellEditable, isDependentOn, isSortableColumn, refill, setSortColumn, setValueAt`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassMatrixTableModel

    public ClassMatrixTableModel(OWLModel owlModel,
                                 MatrixFilter filter)

Method Detail

### getCls

    public RDFSNamedClass getCls(int row)

### addDefaultColumns

    protected void addDefaultColumns()

  Overrides:
    `addDefaultColumns` in class `MatrixTableModel`

### getNewColumnIndex

    public int getNewColumnIndex(MatrixColumn col)

  Overrides:
    `getNewColumnIndex` in class `MatrixTableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.